ErasureCodec (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.erasurecode.codec, class: ErasureCodec

Package org.apache.hadoop.io.erasurecode.codec

# Class ErasureCodec

java.lang.Object
org.apache.hadoop.io.erasurecode.codec.ErasureCodec

Direct Known Subclasses:
  `DummyErasureCodec`, `HHXORErasureCodec`, `RSErasureCodec`, `XORErasureCodec`

@Private public abstract class ErasureCodec extends Object
Abstract Erasure Codec is defines the interface of each actual erasure codec classes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErasureCodec(Configuration conf, ErasureCodecOptions options)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BlockGrouper`
  `createBlockGrouper()`
  `abstract ErasureDecoder`
  `createDecoder()`
  `abstract ErasureEncoder`
  `createEncoder()`
  `ErasureCodecOptions`
  `getCodecOptions()`
  Get a `ErasureCodecOptions`.
  `ErasureCoderOptions`
  `getCoderOptions()`
  Get a `ErasureCoderOptions`.
  `String`
  `getName()`
  `ECSchema`
  `getSchema()`
  `protected void`
  `setCodecOptions(ErasureCodecOptions options)`
  `protected void`
  `setCoderOptions(ErasureCoderOptions options)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErasureCodec

    public ErasureCodec(Configuration conf, ErasureCodecOptions options)

- ## Method Details

  - ### getName

    public String getName()

  - ### getSchema

    public ECSchema getSchema()

  - ### getCodecOptions

    public ErasureCodecOptions getCodecOptions()
    Get a `ErasureCodecOptions`.
    Returns:
      erasure codec options

  - ### setCodecOptions

    protected void setCodecOptions(ErasureCodecOptions options)

  - ### getCoderOptions

    public ErasureCoderOptions getCoderOptions()
    Get a `ErasureCoderOptions`.
    Returns:
      erasure coder options

  - ### setCoderOptions

    protected void setCoderOptions(ErasureCoderOptions options)

  - ### createEncoder

    public abstract ErasureEncoder createEncoder()

  - ### createDecoder

    public abstract ErasureDecoder createDecoder()

  - ### createBlockGrouper

    public BlockGrouper createBlockGrouper()